## ThunarShortcutsView ThunarShortcutsView |

## Functions

GtkWidget * | thunar_shortcuts_view_new ()
void | thunar_shortcuts_view_select_by_file ()
void | thunar_shortcuts_view_toggle_padding ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── ThunarShortcutsView

## Description

## Functions

### thunar_shortcuts_view_new ()

    GtkWidget *
    thunar_shortcuts_view_new (void);

Allocates a new ThunarShortcutsView instance and associates it with the default ThunarShortcutsModel instance.

#### Returns

the newly allocated ThunarShortcutsView instance.

### thunar_shortcuts_view_select_by_file ()

    void
    thunar_shortcuts_view_select_by_file (ThunarShortcutsView *view,
                                          ThunarFile *file);

Looks up the first shortcut that refers to `file` in `view` and selects it. If `file` is not present in the underlying ThunarShortcutsModel, no shortcut will be selected afterwards.

#### Parameters

view | a ThunarShortcutsView instance. |
file | a ThunarFile instance. |

### thunar_shortcuts_view_toggle_padding ()

    void
    thunar_shortcuts_view_toggle_padding (ThunarShortcutsView *view,
                                          gboolean enable);